# $Revision: 1.4 $, $Date: 2004/07/13 12:47:12 $
Summary:	yconsole - monitors & controls the Y sound server
Summary(pl):	yconsole - monitorowanie i sterowanie serwerem dwiku Y
Name:		yconsole
Version:	3.0.8
Release:	2
License:	GPL
Group:		Applications/Sound
Source0:	ftp://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
# Source0-md5:	ed5164fb82da2946451b336ea5f7c408
URL:		http://wolfpack.twu.net/YIFF/
BuildRequires:	gtk+-devel >= 1.2.10
BuildRequires:	imlib-devel
BuildRequires:	yiff-devel >= 2.14
Requires:	gtk+ >= 1.2.10
Requires:	yiff-lib >= 2.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YConsole monitors the status of the Y sound server and allows
modification of its Audio and Mixer values. It also features yplayer
which allows you to play sound objects and audio CDs.

%description -l pl
YConsole monitoruje stan serwera dwiku Y i pozwala na modyfikowanie
jego wartoci dwiku i miksera. Ma take yplayer, ktry pozwala
odtwarza obiekty dwikowe i pyty CD-Audio.

%prep
%setup -q

%build
%{__make} -C yconsole \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags} -Wall `imlib-config --cflags` -DHAVE_IMLIB `gtk-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C yconsole install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	ICONS_DIR=$RPM_BUILD_ROOT%{_pixmapsdir}

# conflicts with yplayer, but may be useful for some desktop in future...
rm -f $RPM_BUILD_ROOT%{_pixmapsdir}/yplayer.xpm

bzip2 -d $RPM_BUILD_ROOT%{_mandir}/man1/*.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README
%attr(755,root,root) %{_bindir}/yconsole
%{_datadir}/yconsole
%{_pixmapsdir}/*.xpm
%{_mandir}/man1/yconsole.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yconsole.spec,v $
Revision 1.4  2004/07/13 12:47:12  ankry
- removed yplayer.xpm for now

Revision 1.3  2004/04/19 22:49:18  qboosh
- updated to 3.0.8

Revision 1.2  2004/03/01 21:05:44  qboosh
- updated to 3.0.5

Revision 1.1  2003/07/27 09:26:45  qboosh
- new
